| QxOrm 1.2.3 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | Static Private Member Functions
qx::QxDataMember< DataType, Owner > Class Template Reference
QxDataMember : QxOrm library data member (or property) used by introspection engine

qx::QxDataMember<DataType, Owner> : concrete property of type DataType registered into QxOrm context for the class Owner More...

`#include <QxDataMember.h>`

Inheritance diagram for qx::QxDataMember< DataType, Owner >:

List of all members.

## Classes
struct | qxCompareDataMember
struct | qxCompareDataMember< true, dummy >
## Public Member Functions
| QxDataMember (type_data_member_ptr pData, const QString &sKey)
| QxDataMember (type_data_member_ptr pData, const QString &sKey, long lVersion, bool bSerialize, bool bDao)
virtual | ~QxDataMember ()
DataType * | getData (void *pOwner) const
const DataType * | getData (const void *pOwner) const
virtual QString | toString (const void *pOwner, const QString &sFormat, int iIndexName=-1) const
virtual qx_bool | fromString (void *pOwner, const QString &s, const QString &sFormat, int iIndexName=-1)
virtual QVariant | toVariant (const void *pOwner, const QString &sFormat, int iIndexName=-1) const
virtual qx_bool | fromVariant (void *pOwner, const QVariant &v, const QString &sFormat, int iIndexName=-1)
virtual bool | isEqual (const void *pOwner1, const void *pOwner2) const
## Protected Types
typedef DataType Owner::* | type_data_member_ptr
## Protected Member Functions
virtual boost::any | getDataPtr (const void *pOwner) const
virtual boost::any | getDataPtr (void *pOwner)
virtual void * | getDataVoidPtr (const void *pOwner) const
virtual void * | getDataVoidPtr (void *pOwner)
## Protected Attributes
type_data_member_ptr | m_pData
| Data member under format "& Owner::DataMember".
## Static Private Member Functions
template<class Archive >
static void | toArchive (Archive &ar, const char *sName, const DataType *pData)
template<class Archive >
static void | fromArchive (Archive &ar, const char *sName, DataType *pData)

## Detailed Description

### template<typename DataType, class Owner>
class qx::QxDataMember< DataType, Owner >

qx::QxDataMember<DataType, Owner> : concrete property of type DataType registered into QxOrm context for the class Owner

Definition at line 64 of file QxDataMember.h.

## Member Typedef Documentation

template<typename DataType, class Owner>

typedef DataType Owner::* qx::QxDataMember< DataType, Owner >::type_data_member_ptr`[protected]`

Definition at line 69 of file QxDataMember.h.

## Constructor & Destructor Documentation

template<typename DataType, class Owner>

qx::QxDataMember< DataType, Owner >::QxDataMember | ( | type_data_member_ptr | pData,
|  | const QString & | sKey
| ) |  | `[inline]`

Definition at line 75 of file QxDataMember.h.

template<typename DataType, class Owner>

qx::QxDataMember< DataType, Owner >::QxDataMember | ( | type_data_member_ptr | pData,
|  | const QString & | sKey,
|  | long | lVersion,
|  | bool | bSerialize,
|  | bool | bDao
| ) |  | `[inline]`

Definition at line 76 of file QxDataMember.h.

template<typename DataType, class Owner>

virtual qx::QxDataMember< DataType, Owner >::~QxDataMember | ( |  | ) | `[inline, virtual]`

Definition at line 77 of file QxDataMember.h.

## Member Function Documentation

template<typename DataType, class Owner>
template<class Archive >

static void qx::QxDataMember< DataType, Owner >::fromArchive | ( | Archive & | ar,
|  | const char * | sName,
|  | DataType * | pData
| ) |  | `[inline, static, private]`

Definition at line 142 of file QxDataMember.h.

template<typename DataType, class Owner>

virtual qx_bool qx::QxDataMember< DataType, Owner >::fromString | ( | void * | pOwner,
|  | const QString & | s,
|  | const QString & | sFormat,
|  | int | iIndexName = `-1`
| ) |  | `[inline, virtual]`

Implements qx::IxDataMember.

Definition at line 83 of file QxDataMember.h.

template<typename DataType, class Owner>

virtual qx_bool qx::QxDataMember< DataType, Owner >::fromVariant | ( | void * | pOwner,
|  | const QVariant & | v,
|  | const QString & | sFormat,
|  | int | iIndexName = `-1`
| ) |  | `[inline, virtual]`

Implements qx::IxDataMember.

Definition at line 85 of file QxDataMember.h.

template<typename DataType, class Owner>

DataType* qx::QxDataMember< DataType, Owner >::getData | ( | void * | pOwner | ) | const`[inline]`

Definition at line 79 of file QxDataMember.h.

template<typename DataType, class Owner>

const DataType* qx::QxDataMember< DataType, Owner >::getData | ( | const void * | pOwner | ) | const`[inline]`

Definition at line 80 of file QxDataMember.h.

template<typename DataType, class Owner>

virtual boost::any qx::QxDataMember< DataType, Owner >::getDataPtr | ( | const void * | pOwner | ) | const`[inline, protected, virtual]`

Implements qx::IxDataMember.

Definition at line 96 of file QxDataMember.h.

template<typename DataType, class Owner>

virtual boost::any qx::QxDataMember< DataType, Owner >::getDataPtr | ( | void * | pOwner | ) | `[inline, protected, virtual]`

Implements qx::IxDataMember.

Definition at line 97 of file QxDataMember.h.

template<typename DataType, class Owner>

virtual void* qx::QxDataMember< DataType, Owner >::getDataVoidPtr | ( | const void * | pOwner | ) | const`[inline, protected, virtual]`

Implements qx::IxDataMember.

Definition at line 98 of file QxDataMember.h.

template<typename DataType, class Owner>

virtual void* qx::QxDataMember< DataType, Owner >::getDataVoidPtr | ( | void * | pOwner | ) | `[inline, protected, virtual]`

Implements qx::IxDataMember.

Definition at line 99 of file QxDataMember.h.

template<typename DataType, class Owner>

virtual bool qx::QxDataMember< DataType, Owner >::isEqual | ( | const void * | pOwner1,
|  | const void * | pOwner2
| ) |  | const`[inline, virtual]`

Implements qx::IxDataMember.

Definition at line 87 of file QxDataMember.h.

template<typename DataType, class Owner>
template<class Archive >

static void qx::QxDataMember< DataType, Owner >::toArchive | ( | Archive & | ar,
|  | const char * | sName,
|  | const DataType * | pData
| ) |  | `[inline, static, private]`

Definition at line 138 of file QxDataMember.h.

template<typename DataType, class Owner>

virtual QString qx::QxDataMember< DataType, Owner >::toString | ( | const void * | pOwner,
|  | const QString & | sFormat,
|  | int | iIndexName = `-1`
| ) |  | const`[inline, virtual]`

Implements qx::IxDataMember.

Definition at line 82 of file QxDataMember.h.

template<typename DataType, class Owner>

virtual QVariant qx::QxDataMember< DataType, Owner >::toVariant | ( | const void * | pOwner,
|  | const QString & | sFormat,
|  | int | iIndexName = `-1`
| ) |  | const`[inline, virtual]`

Implements qx::IxDataMember.

Definition at line 84 of file QxDataMember.h.

## Member Data Documentation

template<typename DataType, class Owner>

type_data_member_ptr qx::QxDataMember< DataType, Owner >::m_pData`[protected]`

Data member under format "& Owner::DataMember".

Definition at line 71 of file QxDataMember.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDataMember/QxDataMember.h